.modal-cart {
  position: absolute;
  z-index: 99999999999999999999;
  top: 62px;
  right: -4px;
  margin-top: 4px;
  display: none;
  &.show {
    display: block;
  }
  @include md() {
    width: 100vw;
    top: 91px;
    right: -53px;
    .triangle {
      margin-left: 40px;
      display: none;
    }
  }
  .triangle {
    width: 10px;
    height: 10px;
    position: absolute;
    top: -5px;
    right: 20px;
    margin: 0 0px 0 15px;
    background: white;
    -webkit-transform: rotate(225deg);
    -moz-transform: rotate(225deg);
    -o-transform: rotate(225deg);
    -ms-transform: rotate(225deg);
    border-right: 1px solid black;
    border-bottom: 1px solid black;
    background: rgb(255, 255, 255);
    z-index: -1;
  }
  .modal-cart-body {
    padding: 1.5rem 2.5rem;
    min-width: 350px;
    min-height: 200px;
    //max-height: 300px;
    background: rgb(250, 250, 248);
    border: 1px solid #969696;
    display: flex;
    font-family: "RALEWAY-REGULAR" !important;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    width: 100%;

    @include sm() {
      max-height: 40vh;
    }

    &.flex-start {
      justify-content: flex-start;
      align-items: flex-start;
    }
    .quantity {
      font-weight: bold;
      font-size: 1.3rem;
      //padding-bottom: 1rem;
      strong {
        font-family: "MontserratBold";
      }
      width: 100%;
    }
    .summary {
      &.hidden {
        display: none;
      }

      border-top: 1px solid #ababab;
      padding: 1.2rem 0;
      @include flex(column, center, center);
      width: 100%;
      &__item {
        &:first-child {
          margin: 0 0 0.7rem 0;
        }
        &:last-child {
          margin: 0.7rem 0 0 0;
        }
        margin: 0.7rem 0;
        width: 100%;
        @include flex(normal, space-between, center);
        span {
          font-size: 1.2rem;
          color: #ababab;
          &.total {
            color: black;
            font-weight: bold;
          }
        }
        .button {
          width: 100%;
          padding: 1rem 2rem;
          font-size: 1.2rem;
          color: white;
          background: black;
          text-transform: capitalize;
        }
      }
    }
    .modal-cart-products {
      @include flex(column, flex-start, flex-start);
      max-height: 330px;
      overflow-y: scroll;
      width: 100%;
      padding: 0.5rem 1rem 0.5rem 0;
      margin: 1.3rem 0;
      @include md() {
        max-height: 95vh;
      }

      &::-webkit-scrollbar {
        width: 6px;
      }

      &::-webkit-scrollbar-thumb {
        background-color: #969696;
        outline: 1px solid slategrey;
      }

      &__empty {
        padding: 2rem 0;
        width: 100%;
        img {
          height: 20px;
          margin-right: 0.5rem;
        }
        font-size: 1.3rem;
        font-weight: bold;
        @include flex(normal, flex-start, center);
      }

      &__product {
        margin: 5px 0 5px 0;
        width: 100%;
        height: fit-content;
        margin: 0.5rem 0;
        &:last-child {
          margin: 0.5rem 0 0 0;
        }
        &:first-child {
          margin: 0 0 0.5rem 0;
        }
        @include flex(normal, space-between, flex-start);

        .image {
          flex-shrink: 0;
          margin-right: 1rem;
          @include flex(normal, flex-start, center);
          img {
            height: 90px;
          }
          height: fit-content;
        }

        .detail {
          margin-left: 1rem;
          width: 100%;
          height: fit-content;

          @include flex(column, flex-start, space-between);
          &__title {
            @include flex(normal, space-between, center);
            font-weight: bold;
            color: black;
            font-size: 1.2rem;
            height: fit-content;
            margin-bottom: 0.5rem;
          }
          &__color,
          &__size,
          &__quantity {
            font-size: 1.2rem;
            color: #ababab;
            margin: 0.3rem 0;
            height: fit-content;
          }
          &__delete {
            @include flex(normal, flex-end, center);
            margin-top: 1rem;
            .trash-button {
              padding: 1rem 0 1rem 1rem;
              cursor: pointer;
            }
          }
        }
      }
    }
  }
}
